Subject: [tram] Milestone 3: TURN server auto-discovery mechanism for enterprise and ISPs

From: Simon Perreault <[email-masked]>
Date: Fri, 07 Feb 2014 09:28:09 -0500

Current TURN server discovery is based on the presence of SRV and/or
NAPTR DNS records. These records are usually under the administrative
control of the application or service provider, not the enterprise or
the ISP on whose network the client is situated. Enterprises or ISPs
wishing to provide their own TURN server, in an attempt to reduce
so-called "triangle routing", need a new auto-discovery mechanism.

Candidate draft: TBD (I know people have been working on this)

IMHO this is also a top-priority milestone. We need to quickly have a
mechanism that people can implement in WebRTC browsers now, while there
is still frenetic development happening. I don't foresee actual
server-side deployment happening quickly though. But as soon as clients
are ready, any ISP or enterprise can deploy and immediately benefit.

I imagine that the solution will be fairly simple, spec- and
implementation-wise. So I think we can finish this very quickly once we
have a candidate draft. We just need authors. So I would target not long
after Toronto.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 7 Feb 2014 14:31:24 +0000

We are working on this draft, will publish it next week.

-Tiru.

> -----Original Message-----
> From: tram [mailto:[email-masked]] On Behalf Of Simon Perreault
> Sent: Friday, February 07, 2014 7:58 PM
> To: [email-masked]
> Subject: [tram] Milestone 3: TURN server auto-discovery mechanism for
> enterprise and ISPs
> 
> control of the application or service provider, not the enterprise or the ISP on
> whose network the client is situated. Enterprises or ISPs wishing to provide
> their own TURN server, in an attempt to reduce so-called "triangle routing",
> need a new auto-discovery mechanism.
> 
> mechanism that people can implement in WebRTC browsers now, while
> there is still frenetic development happening. I don't foresee actual server-
> side deployment happening quickly though. But as soon as clients are ready,
> any ISP or enterprise can deploy and immediately benefit.
> 
> I imagine that the solution will be fairly simple, spec- and implementation-
> wise. So I think we can finish this very quickly once we have a candidate
> draft. We just need authors. So I would target not long after Toronto.
> 
> Simon
> --
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram